Bug 420101 - please omit require on yelp
please omit require on yelp
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: KDE4Live
  Show dependency treegraph
 
Reported: 2007-12-11 12:10 EST by Sebastian Vahl
Modified: 2008-07-08 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.9.32-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 22:42:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-12-11 12:10:49 EST
Description of problem:
system-config-date is actual requiring yelp excplicitely. On the KDE-LiveCD 
this will pull in also xulrunner/firefox/gecko-libs and we need this space for 
other packages. So if it would be possible, remove the require on yelp, 
please.


Version-Release number of selected component (if applicable):
system-config-date-1.9.17-1.fc9
Comment 1 Sebastian Vahl 2008-01-09 15:56:52 EST
Ping?

With upcoming kde-4.0.0 it seems we really need this space (~20 megs) to get 
essential packages on the livecd.
If you are against removing the require on yelp please also drop a comment. So 
we are aware of that.
Comment 2 Nils Philippsen 2008-01-09 19:04:39 EST
System-config-date uses yelp to display its online help (which is Docbook XML,
so the choice of programs to directly display this is rather limited). I see the
reason why you wouldn't want to drag in the mentioned dependencies of yelp, so
I've dropped the requirements on xdg-utils and yelp (the former would only have
called the latter anyway). I've kicked off a build of system-config-date-1.9.19
which checks for the presence of yelp and tells the user to install the package
if it's not found.
Comment 3 Sebastian Vahl 2008-01-09 19:25:51 EST
Great, really really great! I would say thank you for your efforts! :)
Comment 4 Fedora Update System 2008-07-01 05:53:34 EDT
system-config-date-1.9.32-1.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-07-08 22:42:28 EDT
system-config-date-1.9.32-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.